| Home | Libraries | People | FAQ | More

###### segments_ref::erase (1 of 2 overloads)

Erase segments.

###### Synopsis

    iterator
    erase(
        iterator pos);

###### Description

This function removes a segment.

All iterators that are equal to `pos` or come after are invalidated.

###### Complexity

Linear in `this->url().encoded_resource().size()`.

###### Exception Safety

Throws nothing.

###### Return Value

An iterator to one past the removed segment.

###### Parameters

Name | Description
--- | ---
`pos` | An iterator to the segment.